Upgrade PHP Versi 5.5.x ke 5.6.x

24 November 2016

Hari ini saya mencoba instalasi Laravel-5.3 di mesin Linux Mint-17.2, namun ternyata yang terpasang adalah Laravel-5.2. Usut punya usut ternyata Laravel-5.3 hanya mau dipasang di mesin yang punya PHP minimal versi 5.6.4 sementara di mesin saya terpasang PHP versi 5.5.9, makanya gagal. Dasar malas baca tutorial :O

Terpaksa lakukan uninstall php versi lama dan pasang versi yang 5.6, berikut catatan langkah-langkah upgrade:

1. Remove all the stock php packages

  • List paket-paket php yang terpasang dengan:
    • $ sudo dpkg -l | grep php| awk ‘{print $2}’ |tr “\n” ” “
  • Kemudian remove paket-paket yang tidak diinginkan dengan:
    • $ sudo dpkg -l | grep php| awk ‘{print $2}’ |tr “\n” ” “
  • Kemudian remove paket-paket yang tidak diinginkan dengan:
    • $ sudo aptitude purge your_packages_here
  • Atau jika Anda ingin langsung remove semuga, gunakan:
    • $ sudo apt-get purge `dpkg -l | grep php| awk ‘{print $2}’ |tr “\n” ” “`

2. Tambahkan library/repositories PPA (dengan langkah ini maka instalasi PHP versi 7 juga dapat dilakukan)

  • $ sudo add-apt-repository ppa:ondrej/php

3. Install PHP versi yang diinginkan

  • $ sudo apt-get update
  • $ sudo apt-get install php5.6

4. Anda dapat juga menginstall modul-modul php5.6 juga, misalnya:

  • $ sudo apt-get install php5.6-mbstring php5.6-mcrypt php5.6-mysql php5.6-xml php5.6-json php5.6-cli php5.6-odbc php5.6-soap php5.6-zip php5.6-common

5. Verifikasi versi PHP Anda

  • $ sudo php -v

Semoga bermanfaat!

Tidak ada Komentar

Tinggalkan Balasan

Alamat email Anda tidak akan dipublikasikan. Ruas yang wajib ditandai *

This site uses Akismet to reduce spam. Learn how your comment data is processed.